Autor Thema: Installation LibreOffice nicht möglich  (Gelesen 275 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

Offline ped

  • Neuling
  • *
  • Beiträge: 6
  • Desktop: KDE-Plasma: 5.17.4
  • Grafikkartentreiber: nonfree
  • Kernel: 5.4
  • Prozessor: i7-8550U
  • Skill: Anfänger
  • Zweig: stable
Installation LibreOffice nicht möglich
« am: 14. Dezember 2019, 16:27:19 »
Hallo Zusammen

als jahrelange Windows-User wage ich mich nun an Linux und bin bisher über manjrao begeistert: bisher lief alles problemlos.

Nun stosse ich aber auf ein Problem, was ich auch mit Suchen im Web nicht lösen konnte.

Habe mir 18.1.4 KDE installiert und wollte mit heute LibreOffice 6.2.8-3 installieren. Die Installation erfolgt unter "Pamac 9.2.0-1.1" bricht aber mit einer Fehlermeldung ab. Anbei ein paar Informationen:

    Synchronisiere Paketdatenbanken...
    Vorbereitung...
    Abhängigkeiten werden aufgelöst...
    Interne Konflikte werden überprüft...

    Überprüfe Schlüsselring...
    Integrität wird überprüft...
    Vorgang konnte nicht abgeschlossen werden:
    Ungültiges oder beschädigtes Paket:

Leider wird mir nicht angegeben, welches Pakte beschädigt ist.

Die Suche im Internet ergab, dass eventuell "pacman -Sy" oder "pacman -Syy" oder "pacman -Syyu" helfen könnte. Alles durchgeführt, aber obige Fehlermeldung kommt immer noch. Ebenfalls wurde "pacman-key --refresh-keys" durchgeführt.

« Letzte Änderung: 14. Dezember 2019, 16:30:39 von ped »

Offline Ahnungsloser

  • Held Mitglied
  • *****
  • Beiträge: 944
  • Dankeschön: 51 mal
  • Desktop: KDE Plasma 5.18.1
  • Grafikkarte: Intel 3rd Gen Core processor Graphics Controller | NVIDIA GK208M [GeForce GT 720M]
  • Grafikkartentreiber: free
  • Kernel: 5.5.3-artix1-1 x86_64
  • Prozessor: Intel Core i3-3217U
  • Skill: Anfänger
  • Zweig: stable
Re: Installation LibreOffice nicht möglich
« Antwort #1 am: 14. Dezember 2019, 16:56:39 »
Hallo ped,

hast du schon mal probiert, LibreOffice übers Terminal zu installieren?

Entweder du installiert die letzte, stabile Version (inkl. Deutscher Sprachdatei):
sudo pacman -S libreoffice-still libreoffice-still-de
Oder du entscheidest dich für die neueste Version:
sudo pacman -S libreoffice-fresh libreoffice-fresh-de
Viele Grüße
Ahnngsloser
Im neuen Forum unter dem Nick "Roberto" :)
Folgende Mitglieder bedankten sich: ped

Offline ped

  • Neuling
  • *
  • Beiträge: 6
  • Desktop: KDE-Plasma: 5.17.4
  • Grafikkartentreiber: nonfree
  • Kernel: 5.4
  • Prozessor: i7-8550U
  • Skill: Anfänger
  • Zweig: stable
Re: Installation LibreOffice nicht möglich
« Antwort #2 am: 14. Dezember 2019, 17:00:56 »
Hallo Ahnungsloser

habe deinen Hinweis beherzigt, leider hat es nicht geklappt:

[ped@manjaro ~]$ sudo pacman -S libreoffice-still libreoffice-still-de
[sudo] Passwort für ped:
Löse Abhängigkeiten auf...
Suche nach in Konflikt stehenden Paketen...

Pakete (35) boost-libs-1.71.0-4  clucene-2.3.3.4-10  harfbuzz-icu-2.6.4-2  libabw-0.1.3-1
            libatomic_ops-7.6.10-1  libcdr-0.1.5-3  libcmis-0.5.2-3  libe-book-0.1.3-6
            libepubgen-0.1.1-1  libetonyek-0.1.9-1  libexttextcat-3.4.5-1
            libfreehand-0.1.2-2  libixion-0.14.1-5  liblangtag-0.6.3-1  libmspub-0.1.4-6
            libmwaw-0.3.15-1  libnumbertext-1.0.5-1  libodfgen-0.1.7-1  liborcus-0.14.1-5
            libpagemaker-0.0.4-1  libqxp-0.0.2-3  librevenge-0.0.4-2
            libstaroffice-0.0.6-1  libtommath-1.2.0-1  libvisio-0.1.7-2  libwpd-0.10.3-1
            libwpg-0.3.3-1  libwps-0.4.10-1  libzmf-0.0.2-7  lpsolve-5.5.2.5-3
            rasqal-1:0.9.33-2  redland-1:1.0.17-7  xmlsec-1.2.29-1
            libreoffice-still-6.2.8-3  libreoffice-still-de-6.2.8-1

Gesamtgröße des Downloads:             2.19 MiB
Gesamtgröße der installierten Pakete:  655.52 MiB

:: Installation fortsetzen? [J/n] j
:: Empfange Pakete...
 libreoffice-still-de...     2.2 MiB  5.98 MiB/s 00:00 [############################] 100%
(35/35) Prüfe Schlüssel im Schlüsselring               [############################] 100%
(35/35) Überprüfe Paket-Integrität                     [############################] 100%
Fehler: Konnte den Vorgang nicht durchführen (Ungültiges oder beschädigtes Paket)
Fehler sind aufgetreten, keine Pakete wurden aktualisiert.

ped@manjaro ~]$ sudo pacman -S libreoffice-fresh libreoffice-fresh-de
[sudo] Passwort für ped:
Löse Abhängigkeiten auf...
Suche nach in Konflikt stehenden Paketen...

Pakete (35) boost-libs-1.71.0-4  clucene-2.3.3.4-10  harfbuzz-icu-2.6.4-2  libabw-0.1.3-1
            libatomic_ops-7.6.10-1  libcdr-0.1.5-3  libcmis-0.5.2-3  libe-book-0.1.3-6
            libepubgen-0.1.1-1  libetonyek-0.1.9-1  libexttextcat-3.4.5-1
            libfreehand-0.1.2-2  libixion-0.14.1-5  liblangtag-0.6.3-1  libmspub-0.1.4-6
            libmwaw-0.3.15-1  libnumbertext-1.0.5-1  libodfgen-0.1.7-1  liborcus-0.14.1-5
            libpagemaker-0.0.4-1  libqxp-0.0.2-3  librevenge-0.0.4-2
            libstaroffice-0.0.6-1  libtommath-1.2.0-1  libvisio-0.1.7-2  libwpd-0.10.3-1
            libwpg-0.3.3-1  libwps-0.4.10-1  libzmf-0.0.2-7  lpsolve-5.5.2.5-3
            rasqal-1:0.9.33-2  redland-1:1.0.17-7  xmlsec-1.2.29-1
            libreoffice-fresh-6.3.3-1  libreoffice-fresh-de-6.3.3-1

Gesamtgröße des Downloads:           131.80 MiB
Gesamtgröße der installierten Pakete:  675.65 MiB

:: Installation fortsetzen? [J/n] j
:: Empfange Pakete...
 libreoffice-fresh-6....   129.5 MiB  3.25 MiB/s 00:40 [############################] 100%
 libreoffice-fresh-de...     2.2 MiB  3.17 MiB/s 00:01 [############################] 100%
(35/35) Prüfe Schlüssel im Schlüsselring               [############################] 100%
(35/35) Überprüfe Paket-Integrität                     [############################] 100%
Fehler: Konnte den Vorgang nicht durchführen (Ungültiges oder beschädigtes Paket)
Fehler sind aufgetreten, keine Pakete wurden aktualisiert.
« Letzte Änderung: 14. Dezember 2019, 17:08:30 von ped »

Offline Ahnungsloser

  • Held Mitglied
  • *****
  • Beiträge: 944
  • Dankeschön: 51 mal
  • Desktop: KDE Plasma 5.18.1
  • Grafikkarte: Intel 3rd Gen Core processor Graphics Controller | NVIDIA GK208M [GeForce GT 720M]
  • Grafikkartentreiber: free
  • Kernel: 5.5.3-artix1-1 x86_64
  • Prozessor: Intel Core i3-3217U
  • Skill: Anfänger
  • Zweig: stable
Re: Installation LibreOffice nicht möglich
« Antwort #3 am: 14. Dezember 2019, 17:11:20 »
Probier mal, folgende Befehle nacheinander im Terminal auszuführen:

sudo pacman -S archlinux-keyring manjaro-keyring
sudo pacman-key --populate archlinux manjaro
sudo pacman-key –refresh

Dann nochmal die Installation wiederholen.
Im neuen Forum unter dem Nick "Roberto" :)

Offline ped

  • Neuling
  • *
  • Beiträge: 6
  • Desktop: KDE-Plasma: 5.17.4
  • Grafikkartentreiber: nonfree
  • Kernel: 5.4
  • Prozessor: i7-8550U
  • Skill: Anfänger
  • Zweig: stable
Re: Installation LibreOffice nicht möglich
« Antwort #4 am: 14. Dezember 2019, 17:24:31 »
Die ersten beiden Befehle liefen problemlos, der letzte leider nicht. Sowohl "sudo pacman-key -refresh "wie auch "sudo pacman-key --refresh-keys "liefern:
sudo pacman-key –-refresh-keys
pacman-key (pacman) 5.2.1

Verwendung: pacman-key [Optionen] Operation [Ziele]

Verwaltet die Liste der Trusted-Keys von pacman

Operationen:
  -a, --add                 Fügt die angegebenen Schlüssel hinzu (leer für stdin)
  -d, --delete              Entfernt die angegebenen Schlüssel-Ids
  -e, --export              Exportiert die angegebenen oder alle Schlüssel-Ids
  -f, --finger              Zeigt die Fingerabdrücke aller oder aller angegebenen Schlüssel-Ids
  -l, --list-keys           Zeigt die angegebenen oder alle Schlüssel an
  -r, --recv-keys           Ermittelt die angegebenen Schlüssel-Ids
  -u, --updatedb            Aktualisiert die Trust-Datenbank von Pacman
  -v, --verify              Verifiziert die Datei(en), die von der/den Signatur(en) spezifiziert wurden
  --edit-key                Präsentiert ein Menü für Schlüsselverwaltungs-Aufgaben an den Schlüssel-Ids
  --import                  Importiert pubring.gpg aus dem/den Verzeichnis(sen)
  --import-trustdb          Importiert die Vertrauenswerte aus trustdb.gpg in das/die Verzeichnis(se)
  --init                    Stellt sicher, dass der Schlüsselbund richtig initialisiert ist
  --list-sigs               Erstellt eine Liste der Schlüssel und ihrer Signaturen
  --lsign-key               Signiert die angegebene Schlüssel-Id lokal
  --populate                Lädt die Standard-Schlüssel erneut aus den (vorher bestimmten) Schlüsselbunden
                            in '/usr/share/pacman/keyrings'
  --refresh-keys            Aktualisiert die angegebenen oder alle Schlüssel von einem Schlüssel-Server

Optionen:
  --config <file>           Benutze eine alternative Konfigurationsdatei (an Stelle von
                            '/etc/pacman.conf')
  --gpgdir <dir>            Setze ein alternatives Verzeichnis für GnuPG (an Stelle
                            von '/etc/pacman.d/gnupg')
  --keyserver <server-url>  Spezifiziere den zu nutzenden Schlüssel-Server, falls dies nötig ist

  -h, --help                Zeige diese Hilfe und beende
  -V, --version             Zeige Programmversion

Ich vermute einmal, dass ich noch einen Schlüssel-Server angeben muss.

« Letzte Änderung: 14. Dezember 2019, 17:28:29 von ped »

Offline Ahnungsloser

  • Held Mitglied
  • *****
  • Beiträge: 944
  • Dankeschön: 51 mal
  • Desktop: KDE Plasma 5.18.1
  • Grafikkarte: Intel 3rd Gen Core processor Graphics Controller | NVIDIA GK208M [GeForce GT 720M]
  • Grafikkartentreiber: free
  • Kernel: 5.5.3-artix1-1 x86_64
  • Prozessor: Intel Core i3-3217U
  • Skill: Anfänger
  • Zweig: stable
Re: Installation LibreOffice nicht möglich
« Antwort #5 am: 14. Dezember 2019, 17:30:45 »
Das sollte heißen:

sudo pacman-key --refresh-keys
Im neuen Forum unter dem Nick "Roberto" :)

Offline Ahnungsloser

  • Held Mitglied
  • *****
  • Beiträge: 944
  • Dankeschön: 51 mal
  • Desktop: KDE Plasma 5.18.1
  • Grafikkarte: Intel 3rd Gen Core processor Graphics Controller | NVIDIA GK208M [GeForce GT 720M]
  • Grafikkartentreiber: free
  • Kernel: 5.5.3-artix1-1 x86_64
  • Prozessor: Intel Core i3-3217U
  • Skill: Anfänger
  • Zweig: stable
Re: Installation LibreOffice nicht möglich
« Antwort #6 am: 14. Dezember 2019, 17:33:48 »
Im neuen Forum unter dem Nick "Roberto" :)
Folgende Mitglieder bedankten sich: ped

Offline ped

  • Neuling
  • *
  • Beiträge: 6
  • Desktop: KDE-Plasma: 5.17.4
  • Grafikkartentreiber: nonfree
  • Kernel: 5.4
  • Prozessor: i7-8550U
  • Skill: Anfänger
  • Zweig: stable
Re: Installation LibreOffice nicht möglich
« Antwort #7 am: 14. Dezember 2019, 17:48:22 »
Habe nun alle Befehle in dem von Dir verlinkten Beitrag ausgeführt...

https://forum.manjaro.org/t/how-to-solve-keyring-issues-in-manjaro/4020

... und nun lief die Installation mittels

sudo pacman -S libreoffice-fresh libreoffice-fresh-de
problemlos. :-)

Herzlichen Dank für deine Zeit und deine Unterstützung!


Offline Ahnungsloser

  • Held Mitglied
  • *****
  • Beiträge: 944
  • Dankeschön: 51 mal
  • Desktop: KDE Plasma 5.18.1
  • Grafikkarte: Intel 3rd Gen Core processor Graphics Controller | NVIDIA GK208M [GeForce GT 720M]
  • Grafikkartentreiber: free
  • Kernel: 5.5.3-artix1-1 x86_64
  • Prozessor: Intel Core i3-3217U
  • Skill: Anfänger
  • Zweig: stable
Re: Installation LibreOffice nicht möglich
« Antwort #8 am: 14. Dezember 2019, 17:54:13 »
Sehr gut, freut mich  :)
Im neuen Forum unter dem Nick "Roberto" :)